
<!doctype html>
<html lang="en">
  <head>
    <title>Vacation Match</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css?family=Playfair+Display:400,700,900|Rubik:300,400,700" rel="stylesheet">


    <link rel="stylesheet" href="fonts/ionicons/css/ionicons.min.css">
    <link rel="stylesheet" href="fonts/fontawesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="stylesheets/magnific-popup.css">
    <link rel="icon" href="/images/v-icon.png">

    <!-- Theme Style -->
    <link rel="stylesheet" href="stylesheets/myStyle.css">


  </head>
  <body>
    <header>
      <div class="container">
        <h2 class = "logo"> VACATION MATCH </h2>
        <nav>
          <ul>

            <li> <a href="#" id = "register-button">Sign Up</a> </li>
            <li> <a href = "#" id = "login-button">Log In</a> </li>
            <li> <a href="#">About</a> </li>
            <li> <a href="#">Home</a> </li>


          </ul>
        </nav>
      </div>
    </header>
    <!-- END header -->


    <!-- login section -->
    <div class = "modal" id ="login-test" role = "dialog">
      <div class="container container-login">
        <h2 >Log in</h2>
        <form class="form-horizontal" role="form" method="post">

          <div class="form-group">
            <div class="alert alert-danger" role="alert" id="msgDiv" style = "display: none;"></div>
          </div>

          <div class="form-group">
            <input class="form-control" id="emailLogin" type="email" placeholder="Email"/>
          </div>
          <div class="form-group">
            <input class="form-control" id="passwordLogin" type="password" placeholder="Password" />
          </div>

          <div class="form-group">
            <button class="btn btn-login" id="login" type="e">Login</button>
          </div>
        </form>
        <p>Not a user?</p> <a href="#" onclick="toggleLoginRegister()"> Register here </a>
      </div>
    </div>
    <!-- END section -->

    <!-- login section -->
    <div class = "modal" id ="register-test" role = "dialog">
      <div class="container container-register">
        <h2>Register</h2>
        <form class="form-horizontal" id = "register-form" role="form" method="post">

            <div class="alert alert-danger" role="alert" id="msgDiv2" style = "display: none;"></div>


          <div class="form-group">
            <label class="col-sm-3 control-label" for="fullname"> <strong>Full Name</strong></label>
            <input class="form-control" id="fullname" type="text" placeholder="Full Name" autofocus="" value=""/>
          </div>

          <div class="form-group">
            <label class="col-sm-3 control-label" for="email"> <strong>Email</strong></label>
            <input class="form-control" id="email" type="email" placeholder="Email"/>
          </div>

          <div class="form-group">
            <label class="col-sm-3 control-label" for="password"> <strong>Password</strong></label>
            <input class="form-control" id="password" type="password" placeholder="Password"/>
          </div>

          <div class="form-group">
            <label class="col-sm-3 control-label" for="cpassword"> <strong>Confirm Password</strong></label>
            <input class="form-control" id="cpassword" type="password" placeholder="Confirm password" />
          </div>

          <div class="form-group">
            <label class="col-sm-9 control-label" for="dob"> <strong>Date of Birth</strong></label>
            <input class="form-control" id="dob" type="date" />
          </div>

          <div class="form-group">
              <div class="checkbox"><label><input id="terms" type="checkbox" value="yes" name="terms"/>&nbsp;I accept <a href="#">terms</a></label></div>
          </div>
          <div class="form-group">
            <button class="btn btn-login" id="register" type="e">Register</button>
          </div>
        </form>
        <p>Already a user?</p> <a href="#" onclick="toggleLoginRegister()"> Log In </a>
      </div>
    </div>
    <!-- END section -->

    <section class="site-section bg-light">
      <div class="container">
        <div class="row mb-5">
          <div class="col-md-12 heading-wrap text-center">
            <h4 class="sub-heading">Our Luxury Rooms</h4>
              <h2 class="heading" style="text-align:left !important; color:black;">See what's in Austin</h2>
          </div>
        </div>
        <p><% lodging.forEach(lodging => { %>
        <div class="row ">
          <div class="col-md-7">
            <div class="media d-block room mb-0">
              <figure>

                </div>
              </figure>
              <div class="media-body" id="<%=`${lodging._id}`%>">
                <div class="overlap-text">
                <h3><a class = "listing" href="#"><%= `${lodging.type} in ${lodging.city}` %></li></a></h3>
                <img src="<%= `${lodging.attachments}`%>" alt="Generic placeholder image" class="img-fluid">

                <h3 class="mt-0"><a class = "title-a" href="#"><%= `${lodging.address}` %></li></a></h3>
                <ul class="room-specs">
                  <li><span class="ion-ios-people-outline"></span> <%= `${lodging.maxCap}` %> Guests</li>
                  </li>
                  <li><span class="ion-ios-home"></span> <%= `${lodging.numRooms}` %> Rooms   </li>
                  <li style="float:left;"><span class="ion-waterdrop"></span> <%= `${lodging.numBathrooms}` %> Bathrooms   </li> <br>                </ul>

                <p><button class="btn-brand" id= "<%= `${lodging._id}`%>" onclick="displayLogin()" >View</button></p>

              </div>
            </div>
          </div>
        </div>
        <% }); %> </p>
      </div>
    </section>

    <footer class="site-footer">

    </footer>
    <!-- END footer -->

    <!-- loader -->


    <script src="javascripts/jquery-3.2.1.min.js"></script>
    <script src="javascripts/jquery-migrate-3.0.0.js"></script>
    <script src="javascripts/popper.min.js"></script>
    <script src="javascripts/bootstrap.min.js"></script>
    <script src="javascripts/owl.carousel.min.js"></script>
    <script src="javascripts/jquery.waypoints.min.js"></script>
    <script src="javascripts/jquery.stellar.min.js"></script>

    <script src="javascripts/jquery.magnific-popup.min.js"></script>
    <script src="javascripts/magnific-popup-options.js"></script>

    <script src="javascripts/app.js"></script>

  </body>
</html>
